<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @package Cambria
 * @version 2016-03-04
 */

get_header(); ?>

	<?php if ( WP_DEBUG ) echo("404.php") ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php if ( function_exists('breadcrumb') ) breadcrumb(); ?>

			<section class="error-404 not-found">
				<header class="entry-header">
					<h1 class="entry-title"><?php switch_lang('ページが見つかりませんでした', 'Oops! That page can&rsquo;t be found.'); ?></h1>
				</header><!-- .entry-header -->

				<div class="entry-content">
					<p><?php switch_lang('ページが見つかりませんでした。リンクや検索をお試しください。', 'It looks like nothing was found at this location. Maybe try one of the links below or a search?'); ?></p>

					<?php get_search_form(); ?>

					<h2><?php switch_lang('サイトマップ', 'Sitemap'); ?></h2>
					<ul class="sitemap">
					<?php
						wp_list_pages(array(
							'title_li'   => '',
							'sort_culum' => 'menu_order',
						));
					?>
					</ul>
				</div><!-- .entry-content -->

			</section><!-- .error-404 -->

		</main><!-- #main -->
	</div><!-- #primary -->

	<?php
	/* 1カラムはナビを非表示・バナーは表示
	 * echo (get_option('packaged_css')) */
	if ( get_option('packaged_css') != 'cambropachycope' ){
	get_sidebar();
	}else { if ( function_exists('banners') ) banners();
	};
	get_footer();
