<?php
/**
* The main template file.
*
* This is the most generic template file in a WordPress theme
* and one of the two required files for a theme (the other being style.css).
* It is used to display a page when nothing more specific matches a query.
* E.g., it puts together the home page when no home.php file exists.
* Learn more: http://codex.wordpress.org/Template_Hierarchy
*
* @package Cambria
*/

get_header(); ?>

<?php if ( WP_DEBUG ) echo("front-page.php") ?>

<!-- ************ -->

<section>
<div id="primary" class="content-area">
	<main id="main" class="site-main" role="main">
<?php while ( have_posts() ) : the_post(); ?>
	<div class="entry-content">
<?php the_content(); ?>
	</div><!-- entry-content -->
<?php endwhile; ?>
<p class="btn_link"><a href="<?php echo esc_url( home_url( '/aboutus/' ) ); ?>">more</a></p>
</section>

<!-- ************ -->

<section>
<h2 class="event">イベント開催予定</h2>
	<ul class="event">
	<?php $args = array(
		'numberposts' => 5, //表示（取得）する記事の数
		'post_type' => 'event' ,//投稿タイプの指定
		'orderby' => 'meta_value',
		'meta_key' => 'date_start',
		'order' => 'ASC',
									'meta_query' => array(
							            'key' => 'date_end',
							            'value' => date('Y/m/d'),
							            'compare' => '>=',
							            'type' => 'DATE'
						    )
		);
		$customPosts = get_posts($args);
		if($customPosts) : foreach($customPosts as $post) : setup_postdata( $post ); ?>

		<?php
						$start = get_field('date_start');
						$end = get_field('date_end');
						$today = date('Ymd');
						$stra = '';
						$klass = '';
						$str = $day;
						$search = array('Sun','Mon','Tue', 'Wed', 'Thu', 'Fri', 'Sat');
						$replace = array('日','月','火', '水', '木', '金', '土');
						if ($today < $start) {
							$stra = '開催予定';
							$klass = 'seminar-1';
						} else if ($end < $today) {
							$stra = '終了';
							$klass = 'seminar-2';
						} else {
							$stra = '開催中';
							$klass = 'seminar-3';
						}
		?>

		<li>
			<span class='seminar_state <?php echo($klass) ?>'><?php echo($stra) ?></span>
			<?php if (empty($start)): ?>
				<span class='seminar-date'>-</span>
			<?php elseif ( $start == $end ): ?>
				<span class='seminar-date'><span>開催日：</span>
			<?php echo date('Y年n月j日', strtotime("$start")); ?>
			<?php $day = date('(D)', strtotime($start));
				$str = $day;
				echo str_replace($search,$replace,$str); ?></span>
			<?php else : ?>
				<span class='seminar-date'><span>開催期間：</span>
			<?php echo date('Y年n月j日', strtotime("$start")); ?>
			<?php $day = date('(D)', strtotime($start));
				$str = $day;
				echo str_replace($search,$replace,$str); ?>
				～<?php echo date('Y年n月j日', strtotime("$end")); ?>
				<?php $day = date('(D)', strtotime($end));
				$str = $day;
				echo str_replace($search,$replace,$str); ?></span>
			<?php endif; ?>

<span class="link"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></span>
<!--<span class="date"><?php the_time('Y年n月j日'); ?></span>--></li>
	<?php endforeach; ?>
	<?php else : //記事が無い場合 ?>
		<li><p>記事はまだありません。</p></li>
	<?php endif;
	wp_reset_postdata(); //クエリのリセット ?>
</ul>
<p class="btn_link"><a href="<?php echo esc_url( home_url( '/event/' ) ); ?>">more</a></p>
</section>

<!-- ************ -->

<section>
<h2 class="news">ニュース</h2>
	<ul class="news">
	<?php
	$args = array(
		'posts_per_page' => 5, //表示（取得）する記事の数
		'order'=> 'DESC' );
		$myposts = get_posts( $args );
		if($myposts) : foreach ( $myposts as $post ) : setup_postdata( $post ); ?>
		<li><span class="date"><?php the_time('Y年n月j日'); ?></span>
		<span class="link"><a href="<?php the_permalink(); ?>"><?php the_title();?></a>
			<!--<?php
		$days=30;
		$today=date('U'); $entry=get_the_time('U');
		$diff1=date('U',($today - $entry))/86400;
		if ($days > $diff1) {
			echo '<span class="new">New</span>';
		}
		?>--></span></li>
	<?php endforeach; ?>
<?php else : //記事が無い場合 ?>
	<li><p>記事はまだありません。</p></li>
<?php endif;
wp_reset_postdata(); //クエリのリセット ?>
</ul>
<p class="btn_link"><a href="<?php echo esc_url( home_url( '/news/' ) ); ?>">more</a></p>
</section>

<!-- ************ -->

<section>
<h2 class="report">レポート</h2>
	<ul class="report">
	<?php $args = array(
		'numberposts' => 5, //表示（取得）する記事の数
		'post_type' => 'report' //投稿タイプの指定
	);
	$customPosts = get_posts($args);
	if($customPosts) : foreach($customPosts as $post) : setup_postdata( $post ); ?>
	<li><span class="date"><?php the_time('Y年n月j日'); ?></span>
		<!--  <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>　-->
		<span class="link"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></span></li>
	<?php endforeach; ?>
<?php else : //記事が無い場合 ?>
	<li><p>記事はまだありません。</p></li>
<?php endif;
wp_reset_postdata(); //クエリのリセット ?>
</ul>
<p class="btn_link"><a href="<?php echo esc_url( home_url( '/report/' ) ); ?>">more</a></p>
</section>

<!-- ************ -->

<?php
wp_nav_menu(array(
		'menu'            => 'footer-links-ex',
		'container_class' => 'footer-links-ex-container',
		));
?>

<!-- ************ -->

</main><!-- #main -->
</div><!-- #primary -->

<?php get_footer(); ?>
