<?php
/**
* The header for our theme.
*
* Displays all of the <head> section and everything up till <div id="content">
*
* @package Cambria
*/

$theme_options = new Theme_options();
$packaged_css = get_option('packaged_css');

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<title><?php wp_title( '»', true, 'right' ); bloginfo('name' );?></title>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<?php $theme_options->favicon(); ?>
	<?php wp_head(); ?>
	<link href='http://fonts.googleapis.com/css?family=Merriweather:700' rel='stylesheet' type='text/css'>
	<!--[if lt IE 9]><script src="<?php echo get_template_directory_uri(); ?>/js/html5shiv.min.js"></script><![endif]-->
</head>

<body <?php body_class($packaged_css); ?>>

<?php if(is_page()): ?>
<div id="page" class="hfeed site <?php echo esc_attr( $post->post_name ); ?>">
<?php else: ?>
<div id="page" class="hfeed site">
<?php endif; ?>

		<header id="masthead" class="site-header" role="banner">

			<div class="site-branding">
				<h1 class="site-title">
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
						<?php $theme_options->logo(); ?></a></h1>

					<?php
					wp_nav_menu(array(
						'menu'            => 'g-nav-main',
						'container_class' => 'g-nav-main',
						'theme_location'  => '__no_such_location',
						// 'walker'          => new MainNavMenuWalker(),
					));
					?>

					<?php
					if ( $theme_options->use_lang_switch() ):
						get_template_part('template-parts/lang-switch');
					endif;
					?>


					<?php
					wp_nav_menu(array(
						'menu'            => 'main-menu',
						'container_class' => 'main-menu',
						'theme_location'  => '__no_such_location',
						// 'walker'          => new MainNavMenuWalker(),
					));
					?>

				</div><!-- .site-branding -->

			</header><!-- #masthead -->


		<?php if ( is_front_page()): ?>
			<div class="key-visual">
				<?php echo do_shortcode("[metaslider id=26]"); ?>
			</div><!-- key-visual -->
		<?php endif; ?>


			<div id="content" class="site-content">
