<?php // function.php

function the_post_navigation_plus($post, $meta_key, $order) {
	$posts = get_posts(array(
		'post_type' => $post->post_type,
		'meta_key' => $meta_key,
		'orderby' => 'meta_value_num',
		'order' => $order
	));
	$postIds = array();
	foreach ($posts as $p) {
	   $postIds[] += $p->ID;
	}
	$current = array_search($post->ID, $postIds);
	if ($current !== false && $current > 0) $prevID = $posts[$current - 1];
	if ($current !== false && $current + 1 < count($postIds)) $nextID = $posts[$current + 1];
?>
<nav class="navigation post-navigation" role="navigation">
	<h2 class="screen-reader-text">投稿ナビゲーション</h2>
	<div class="nav-links">
<?php if ( !empty( $prevID ) ): ?>
		<div class="nav-previous"><a href="<?php echo get_permalink( $prevID ); ?>" rel="prev"><?php echo get_the_title( $prevID ); ?></a></div>
<?php endif;
if ( !empty( $nextID ) ): ?>
		<div class="nav-next"><a href="<?php echo get_permalink( $nextID ); ?>" rel="next"><?php echo get_the_title( $nextID ); ?></a></div>
<?php endif; ?>
	</div>
</nav>
<?php
}
