<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Cambria
 */

$theme_options = new Theme_options();
$packaged_css = get_option('packaged_css');

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<title><?php wp_title( '»', true, 'right' ); bloginfo('name' );?></title>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<?php $theme_options->favicon(); ?>
	<?php wp_head(); ?>
	<link href='http://fonts.googleapis.com/css?family=Merriweather:700' rel='stylesheet' type='text/css'>
	<!--[if lt IE 9]><script src="<?php echo get_template_directory_uri(); ?>/js/html5shiv.min.js"></script><![endif]-->
</head>

<body <?php body_class($packaged_css); ?>>
<div id="page" class="hfeed site">

	<header id="masthead" class="site-header" role="banner">

		<div class="site-branding">
			<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php $theme_options->logo(); ?></a></h1>
			<?php
			if ( $theme_options->use_lang_switch() ):
				get_template_part('template-parts/lang-switch');
			endif;
			?>

			<?php get_search_form(); ?>

		</div><!-- .site-branding -->

		<?php
		/* 1カラムはナビを表示 */
		if ( get_option('packaged_css') == 'cambropachycope'){
				dynamic_sidebar('sidebar');
		wp_nav_menu(array(
			'menu'            => 'sub-nav',
			'container_class' => 'sub-nav',
			'theme_location'  => '__no_such_location',
			// 'walker'          => new MainNavMenuWalker(),
		));

	}
		?>

	</header><!-- #masthead -->

	<?php if ( is_front_page()): ?>
		<div class="key-visual">
			<?php
			/* homeにカスタムフィールド[header-slider]を追加し、Metasliderのショートコードを貼り付けてください */
			echo apply_filters('the_content', get_post_meta($post->ID, 'header-slider', true));
			?>
		</div><!-- key-visual -->
	<?php endif; ?>

	<div id="content" class="site-content">
