<?php
/**
 * The home template file for Blog Posts Index Page
 *
 * @package Cambria
 * @version 2016-03-04
 */

get_header(); ?>

	<?php if ( WP_DEBUG ) echo("home.php") ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php
		if ( function_exists('breadcrumb') ) breadcrumb();

		if ( have_posts() ) :

			if ( is_home() && ! is_front_page() ) : ?>
				<header class="entry-header">
					<h1 class="entry-title"><?php single_post_title(); ?></h1>
				</header><!-- .entry-header -->

			<?php
		 	endif;

			/* Start the Loop */ ?>
			<div class="entry-content">
				<?php
				while ( have_posts() ) : the_post();

					get_template_part( 'template-parts/list-view', get_post_format() );

				endwhile; ?>
			</div>

			<div class="pagination">
			    <?php global $wp_rewrite;
			    $paginate_base = get_pagenum_link(1);
			    if(strpos($paginate_base, '?') || ! $wp_rewrite->using_permalinks()){
			        $paginate_format = '';
			        $paginate_base = add_query_arg('paged','%#%');
			    }
			    else{
			        $paginate_format = (substr($paginate_base,-1,1) == '/' ? '' : '/') .
			        user_trailingslashit('page/%#%/','paged');;
			        $paginate_base .= '%_%';
			    }
			    echo paginate_links(array(
			        'base' => $paginate_base,
			        'format' => $paginate_format,
			        'total' => $wp_query->max_num_pages,
			        'mid_size' => 4,
			        'current' => ($paged ? $paged : 1),
			        'prev_text' => '≪ 前へ',
			        'next_text' => '次へ ≫',
			    )); ?>
			</div>

		<?php
		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>

		</main><!-- #main -->
	</div><!-- #primary -->

	<?php
	/* 1カラムはナビを非表示・バナーは表示
	 * echo (get_option('packaged_css')) */
	if ( get_option('packaged_css') != 'cambropachycope' ){
	get_sidebar();
	}else { if ( function_exists('banners') ) banners();
	};
	get_footer();
