<?php

class StPostWidget extends WP_Widget {

	function __construct() {
		parent::__construct(
			'st_post_widget',
			'投稿プルダウン・メニュー',
			array( 'description' => '年とカテゴリーを選択して投稿を表示させるプルダウン・メニューのウィジェットです。', )
		);
	}

	public function widget( $args, $instance ) {
		$select = wp_dropdown_categories('show_option_none='. esc_attr(__('Select Category')) . '&show_count=1&orderby=name&echo=0');
		$select = preg_replace("#<select([^>]*)>#", "<select$1 onchange='return this.form.submit()'>", $select);

		if ($instance['slug'] != '') {
			$post_list_url = get_bloginfo('url') . '/' . $instance['slug'] . '/';
		} else {
			$post_list_url = get_bloginfo('url') . '/?page_id=' . $instance['page-id'];
		}

		echo $args['before_widget'];

		?>
		<div class="main-menu">
			<ul class="menu">
				<li class="<?php echo (is_archive() ? 'current-menu-item' : '' ); ?>">
					<a href="<?php echo $post_list_url; ?>"><?php echo $instance['title']; ?></a>
					<ul class="sub-menu options permanently-open">
						<li>
							<form>
								<select name="archive-dropdown" onChange="document.location.href=this.options[this.selectedIndex].value;">';
									<option value=""><?php echo esc_attr(__('Select Year')) ?></option>
									<?php echo wp_get_archives('type=yearly&format=option&show_post_count=1'); ?>
								</select>
							</form>
						</li>
						<li>
							<form action="<?php echo get_bloginfo('url');?>" method="get">
								<?php echo $select; ?>
								<noscript><input type="submit" value="View" /></noscript>
							</form>
						</li>
					</ul>
				</li>
			</ul>
		</div>
		<?php
		echo $args['after_widget'];
	}

	public function form( $instance ){
		$title = $instance['title'];
		$title_name = $this->get_field_name('title');
		$title_id = $this->get_field_id('title');

		$slug = $instance['slug'];
		$slug_name = $this->get_field_name('slug');
		$slug_id = $this->get_field_id('slug');

		$page_id = $instance['page-id'];
		$page_id_name = $this->get_field_name('page-id');
		$page_id_id = $this->get_field_id('page-id');
		?>
		<p>
			<label for="<?php echo $title_id; ?>">Title:</label>
			<input class="widefat" id="<?php echo $title_id; ?>" name="<?php echo $title_name; ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
		</p>
		<p>
			<label for="<?php echo $slug_id; ?>">Slug:</label>
			<input class="widefat" id="<?php echo $slug_id; ?>" name="<?php echo $slug_name; ?>" type="text" value="<?php echo esc_attr( $slug ); ?>">
		</p>
		<p>
			<label for="<?php echo $page_id_id; ?>">Page ID:</label>
			<input class="widefat" id="<?php echo $page_id_id; ?>" name="<?php echo $page_id_name; ?>" type="text" value="<?php echo esc_attr( $page_id ); ?>">
		</p>
		<?php
	}

	function update($new_instance, $old_instance) {
    	$new_instance['title'] = strip_tags($new_instance['title']);
		return $new_instance;
	}
}

add_action( 'widgets_init', function () {
	register_widget( 'StPostWidget' );  //WidgetをWordPressに登録する
} );
