jQuery(document).ready(function($) {
	var custom_uploader, selected, parent;

	/* 選択ボタンクリックで始動 */
	$( 'input:button[name=media]' ).click( function( e ){
		selected = $(this); 
		e.preventDefault();

		if( custom_uploader ){ // If the media frame already exists, reopen it.
			custom_uploader.open();
			return;
		}
		custom_uploader = wp.media( {
			title   : '画像を選択',
			// library : {type: "image"}, .icoの拡張子が「画像」扱いにならないのでコメントアウト
			button  : {text: "画像を選択"},
			multiple: false,
		} );

		custom_uploader.on( 'select', function(){
			var images = custom_uploader.state().get( 'selection' );
			
			images.each( function( file ){　// fileは戻り値
				selected.siblings('input.img-id').val(file.attributes.id);
				selected.siblings('.img-preview').empty().append( '<img style="max-width:500px;" src="'+file.attributes.url+'" />' );
			} );
		} );
		custom_uploader.open();
	} );

	/* クリアボタンを押した時の処理 */
	$( 'input:button[name=media-clear]' ).click( function(){
		$(this).siblings('input.img-id').val('');
		$(this).siblings('.img-preview').empty();
	} );
});
