<?php
/**
 * The template for displaying search results pages.
 *
 * @package Cambria
 */

get_header(); ?>

	<section id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php if ( function_exists('breadcrumb') ) breadcrumb(); ?>

			<header class="entry-header">
				<h1 class="entry-title">
					<?php if (chk_lang == 'jp'):?>
						<span class="search-query"><?php echo get_search_query(); ?></span>の検索結果: <?php echo $wp_query->found_posts; ?>件
					<?php else: ?>
						Searcing for <span class="search-query"><?php echo get_search_query(); ?></span>: <?php echo $wp_query->found_posts; ?> Results
					<?php endif;?>
				</h1>
			</header><!-- .entry-header -->

			<div class="entry-content">
				<?php if ( have_posts() ) : ?>

					<?php while ( have_posts() ) : the_post(); ?>

						<?php get_template_part( 'template-parts/list-view' ); ?>

					<?php endwhile; ?>

					<?php the_posts_navigation(); ?>

				<?php else : ?>

					<p><?php switch_lang('ページが見つかりませんでした。別のキーワードをお試しください。', 'Sorry, but nothing matched your search terms. Please try again with some different keywords.'); ?></p>
					<?php get_search_form(); ?>

				<?php endif; ?>
			</div><!-- entry-content -->


		</main><!-- #main -->
	</section><!-- #primary -->

	<?php
	/* 1カラムはナビを非表示・バナーは表示
	 * echo (get_option('packaged_css')) */
	if ( get_option('packaged_css') != 'cambropachycope' ){
	get_sidebar();
	}else { if ( function_exists('banners') ) banners();
	};
	get_footer();
